Project List
List projects.
Fields
id (integer)
Primary key.
Expansions
To activate relation expansion add the desired fields as a comma separated
list to the expand query parameter like this:
?expand=<field>,<field>,<field>,...
The following relational fields can be expanded:
organizationcategorytypepartner_functionmanagercontactstatusgrantresearcheventstudylanguageprogramfunders
Filters
To filter for exact value matches:
?<fieldname>=<value>
Possible exact filters:
organizationcategorymanagercontactstatusgrantresearchstudylanguagefundersprogram
For advanced filtering use lookups:
?<fieldname>__<lookup>=<value>
All fields with advanced lookups can also be used for exact value matches as described above.
Possible advanced lookups:
begin_planned:gt,gte,lt,ltebegin_effective:gt,gte,lt,lteend_planned:gt,gte,lt,lteend_effective:gt,gte,lt,lte
GET /v1/research/project/?format=api&offset=2260&ordering=begin_effective
{ "count": 2261, "next": null, "previous": "https://api-test.medunigraz.at/v1/research/project/?format=api&limit=20&offset=2240&ordering=begin_effective", "results": [ { "id": 9562, "title": { "de": "TRP-vermittelte Kationen Signalwege TRPC.at", "en": "TRP-dependentCation signalling TRPC.at" }, "short": "TRPC.at", "url": null, "abstract": { "de": null, "en": null }, "begin_planned": "2026-03-01T01:00:00+01:00", "begin_effective": "2026-10-01T02:00:00+02:00", "end_planned": "2029-02-27T01:00:00+01:00", "end_effective": "2030-09-30T02:00:00+02:00", "assignment": "2026-01-27T15:00:59+01:00", "program": 114, "subprogram": null, "organization": 14011, "category": 10, "type": 10, "partner_function": 3, "manager": 98848, "contact": null, "status": 2, "research": 1, "grant": 10, "event": null, "study": null, "language": null, "funders": [ 9 ], "funder_projectcode": "DOC4380225", "ethics_committee": null, "edudract_number": null, "persons": [ "9562-98848-10" ] } ] }